Index: /LMDZ4/trunk/libf/phylmd/ini_histmth.h
===================================================================
--- /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 643)
+++ /LMDZ4/trunk/libf/phylmd/ini_histmth.h	(revision 644)
@@ -1,15 +1,15 @@
-!
-! $Header$
-!
+c
+c $Header$
+c
       IF (ok_mensuel) THEN
 c
-         zsto = dtime
-         zout = dtime * ecrit_mth
-c
-c zsto1: pour des valeurs "instantannees" mensuelles
-         zsto1 = dtime * ecrit_mth
-c zsto2: pour des flux radiatifs calcules tous les 2 heures
-         zsto2 = dtime * radpas
-         PRINT*,' zsto,zsto1,zsto2,zout=',zsto, zsto1, zsto2,zout
+       zstophy = dtime
+       zstomth = dtime * FLOAT(ecrit_mth) !valeurs mensuelles "instantannees"
+       zstorad = dtime * FLOAT(radpas)    !variables stockees toutes les 2h
+       zstohf = dtime *FLOAT(ecrit_hf)   !variables stockees toutes les 6h
+       zout = dtime * FLOAT(ecrit_mth)    !frequence des sorties : 1 val. par mois
+c
+cIM    PRINT*,' La zstophy,zstorad,zstohf,zstomth,zout=',
+cIM  . zstophy,zstorad,zstohf,zstomth,zout
 c
          idayref = day_ref
@@ -21,4 +21,26 @@
             zx_lon(i,jjmp1) = rlon(i+1)
          ENDDO
+c
+cIM cf. AM 081204 BEG region
+c         imin_histmth=1
+c         imax_histmth=iim
+c         jmin_histmth=1
+c         jmax_histmth=jjmp1
+c         do i=1,iim-1
+c            if(zx_lon(i,1).lt.lonmin_histmth) imin_histmth=i
+c            if(zx_lon(i,1).le.lonmax_histmth) imax_histmth=i+1
+c         enddo
+c         do j=1,jjmp1-1
+c            if(zx_lat(1,j).ge.latmin_histmth) jmax_histmth=j
+c            if(zx_lat(1,j).gt.latmax_histmth) jmin_histmth=j
+c         enddo
+c
+c         print*,'On stoke le fichier instantanne sur, ',
+c     s   imin_histmth,imax_histmth,jmin_histmth,jmax_histmth
+c         print*,'On stoke le fichier instantanne sur, ',
+c     s   zx_lon(imin_histmth,1),zx_lon(imax_histmth,1),
+c     s   zx_lat(1,jmin_histmth),zx_lat(1,jmax_histmth)
+cIM cf. AM 081204 END region
+c
          DO ll=1,klev
             znivsig(ll)=float(ll)
@@ -28,24 +50,38 @@
      .                 1,iim,1,jjmp1, itau_phy, zjulian, dtime, 
      .                 nhori, nid_mth)
-         write(*,*)'Mensuel ', itau_phy, zjulian
+c
+cIM cf. AM 081204 BEG region
+c         CALL histbeg("histmth.nc", iim,zx_lon(:,1), jjmp1,zx_lat(1,:),
+c     .                 imin_histmth,imax_histmth-imin_histmth+1
+c     .                 ,jmin_histmth,jmax_histmth-jmin_histmth+1
+c     .                 , itau_phy, zjulian, dtime,
+c     .                 nhori, nid_mth)
+cIM 081204 END
+c
          CALL histvert(nid_mth, "presnivs", "Vertical levels", "mb",
-     .                 klev, presnivs, nvert)
-c        call histvert(nid_mth, 'sig_s', 'Niveaux sigma','-',
-c    .              klev, znivsig, nvert)
-c
+     .                 klev, presnivs/100., nvert)
+c
+      IF(type_run.EQ."CLIM".OR.type_run.EQ."ENSP") THEN
 c
       IF(lev_histmth.GE.1) THEN
-         CALL histdef(nid_mth, "phis", "Surface geop. height", "-",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "once",  zsto,zout)
+c
+         CALL histdef(nid_mth, "phis", 
+     .                "Surface geop. height", "m2/s2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+     .                "once",  zstophy,zout)
 c
          CALL histdef(nid_mth, "aire", "Grid area", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "once",  zsto,zout)
-c
-           call histdef(nid_mth, "pourc_"//clnsurf(is_ter), 
-     $         "Fraction "//clnsurf(is_ter), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "once", zsto,zout)
+     .                "once",  zstophy,zout)
+c
+         CALL histdef(nid_mth, "pourc_"//clnsurf(is_ter), 
+     .         "% "//clnsurf(is_ter), "%",  
+     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         "once", zstophy,zout)
+c
+         CALL histdef(nid_mth, "fract_"//clnsurf(is_ter), 
+     .         "Fraction "//clnsurf(is_ter), "1",  
+     .         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .         "once", zstophy,zout)
 c
 c Champs 2D:
@@ -53,63 +89,63 @@
          CALL histdef(nid_mth, "slp", "Sea Level Pressure", "Pa",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "tsol", "Surface Temperature", "K",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "t2m", "Temperature 2m", "K",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
 c ENSEMBLES BEG
          CALL histdef(nid_mth, "t2m_min", "Temp. 2m min.",
      .                "K",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                t2mincels, zsto,zout)
+     .                t2mincels, zstophy,zout)
 c
          CALL histdef(nid_mth, "t2m_max", "Temp. 2m max.",
      .                "K",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                t2maxcels, zsto,zout)
+     .                t2maxcels, zstophy,zout)
 c
 c        CALL histdef(nid_mth, "tsoil", "Sfce soil Temperature",
 c    .                "K",
 c    .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-c    .                "ave(X)", zsto,zout)
+c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "wind10m","10-m wind speed","m/s",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sicf", "Sea-ice fraction", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-
+     .                "ave(X)", zstophy,zout)
 c
 c ENSEMBLES END
          CALL histdef(nid_mth, "q2m", "Specific humidity 2m", "kg/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "u10m", "Vent zonal 10m", "m/s",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "v10m", "Vent meridien 10m", "m/s",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "psol", "Surface Pressure", "Pa",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "qsurf", "Surface Air humidity", "kg/kg",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
       if (.not. ok_veget) then
          CALL histdef(nid_mth, "qsol", "Soil watter content", "mm",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
       endif
 c
@@ -117,256 +153,254 @@
      .                "Number of day with rain (liq+sol)", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "inst(X)", zsto1,zout)
+     .                "inst(X)", zstomth,zout)
 c
          CALL histdef(nid_mth, "precip", "Precipitation Totale liq+sol", 
      .                "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "plul", "Large-scale Precip.", 
      .   "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "pluc", "Convective Precip.", 
      .   "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "snow", "Snow fall", "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "snow_mass", "Snow Mass", "kg/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+c        CALL histdef(nid_mth, "snow_mass", "Snow Mass", "kg/m2",
+c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
+c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "evap", "Evaporation", "kg/(s*m2)",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "tops", "Solar rad. at TOA", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "tops0", "Solar rad. at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "tops0", "CS Solar rad. at TOA", "W/m2",
+     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "topl", "IR rad. at TOA", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "topl0", "IR rad. at TOA", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupTOA", "SWup at TOA","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupTOAclr", 
      .                "SWup clear sky at TOA","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnTOA", "SWdn at TOA","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnTOAclr", 
      .                "SWdn clear sky at TOA","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
-c
-         CALL histdef(nid_mth, "SWup200", "SWup at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "SWup200", "SWup at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWup200clr", 
-     .                "SWup clear sky at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
-c
-         CALL histdef(nid_mth, "SWdn200", "SWdn at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                "SWup clear sky at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "SWdn200", "SWdn at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdn200clr", 
-     .                "SWdn clear sky at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
-c
-         CALL histdef(nid_mth, "LWup200", "LWup at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                "SWdn clear sky at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "LWup200", "LWup at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWup200clr", 
-     .                "LWup clear sky at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
-c
-         CALL histdef(nid_mth, "LWdn200", "LWdn at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                "LWup clear sky at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
+c
+         CALL histdef(nid_mth, "LWdn200", "LWdn at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "LWdn200clr", 
-     .                "LWdn clear sky at 200hPa","W/m2",
-     .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                "LWdn clear sky at 200mb","W/m2",
+     .                iim,jjmp1,nhori, 1,1,1,-99,
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sols", "Solar rad. at surf.", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sols0", "Solar rad. at surf.", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "soll", "IR rad. at surface", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "soll0", "IR rad. at surface", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupSFC", "SWup at surface","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWupSFCclr", 
      .                "SWup clear sky at surface","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnSFC", "SWdn at surface","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "SWdnSFCclr", 
      .                "SWdn clear sky at surface","W/m2",
      .                iim,jjmp1,nhori, 1,1,1,-99,
-     .                32, "ave(X)", zsto2,zout)
+     .                32, "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWupSFC","Upwd. IR rad. at surface", 
      .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto2,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWdnSFC","Down. IR rad. at surface", 
      .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto2,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWupSFCclr",
      .                "CS Upwd. IR rad. at surface", 
      .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto2,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"LWdnSFCclr",
      .                "Down. CS IR rad. at surface", 
      .                "W/m2", iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto2,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "bils", "Surf. total heat flux", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "sens", "Sensible heat flux", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fder", "Heat flux derivation", "W/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-c
-c Effets des aerosols
-c
-c     IF (ok_ade.OR.ok_aie) THEN
-         CALL histdef(nid_mth, "topsad", "ADE at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "solsad", "ADE at sfc", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "topsai", "AIE at TOA", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c
-         CALL histdef(nid_mth, "solsai", "AIE at sfc", "W/m2",
-     .                iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-c     endif
-c
-
+     .                "ave(X)", zstophy,zout)
 c
 c          CALL histdef(nid_mth, "frtu", "Zonal wind stress", "Pa",
 c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
+c    .                "ave(X)", zstophy,zout)
 c
 c        CALL histdef(nid_mth, "frtv", "Meridional wind stress", "Pa",
 c    .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-c    .                "ave(X)", zsto,zout)
+c    .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ffonte","Thermal flux for snow melting",
      .                "W/m2",iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "fqcalving","Ice Calving",
      .                "kg/m2/s",iim,jjmp1,nhori, 1,1,1, -99, 32,
-     .                "ave(X)", zsto,zout)
-cIM: 171003
+     .                "ave(X)", zstophy,zout)
+c
          DO nsrf = 1, nbsrf
            call histdef(nid_mth, "taux_"//clnsurf(nsrf), 
      $         "Zonal wind stress"//clnsurf(nsrf), "Pa",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
 
            call histdef(nid_mth, "tauy_"//clnsurf(nsrf), 
-     $         "Meridional xind stress "//clnsurf(nsrf), "Pa",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "Meridional wind stress "//clnsurf(nsrf), "Pa",  
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
          ENDDO
-cIM: 171003
 c
          DO nsrf = 1, nbsrf
 C
-          IF(nsrf.GT.1) THEN
+          IF(nsrf.GT.2) THEN
            call histdef(nid_mth, "pourc_"//clnsurf(nsrf), 
-     $         "Fraction "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
-          ENDIF !nsrf.GT.1
+     $         "% "//clnsurf(nsrf), "%",  
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
+c
+           call histdef(nid_mth, "fract_"//clnsurf(nsrf), 
+     $         "Fraction "//clnsurf(nsrf), "1",  
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
+          ENDIF !nsrf.GT.2
 C
            call histdef(nid_mth, "tsol_"//clnsurf(nsrf), 
-     $         "Fraction "//clnsurf(nsrf), "W/m2",  
-     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "Temperature "//clnsurf(nsrf), "K",  
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "sens_"//clnsurf(nsrf), 
      $         "Sensible heat flux "//clnsurf(nsrf), "W/m2",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "lat_"//clnsurf(nsrf), 
      $         "Latent heat flux "//clnsurf(nsrf), "W/m2",  
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "flw_"//clnsurf(nsrf),
      $         "LW "//clnsurf(nsrf), "W/m2",
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto2,zout)
+     $         "ave(X)", zstophy,zout)
 c
            call histdef(nid_mth, "fsw_"//clnsurf(nsrf),
      $         "SW "//clnsurf(nsrf), "W/m2",
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto2,zout)
+     $         "ave(X)", zstophy,zout)
 C
            call histdef(nid_mth, "wbils_"//clnsurf(nsrf),
      $         "Bilan sol "//clnsurf(nsrf), "W/m2",
      $         iim,jjmp1,nhori, 1,1,1, -99, 32,
-     $         "ave(X)", zsto,zout)
+     $         "ave(X)", zstophy,zout)
+C
+cIM 250105 BEG
+          IF(1.EQ.0) THEN
+C
+           call histdef(nid_mth, "evapour_"//clnsurf(nsrf),
+     $         "Evap*pourc "//clnsurf(nsrf), "kg/(s*m2)",
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
+C
+           call histdef(nid_mth, "prepour_"//clnsurf(nsrf),
+     $         "Precip*pourc "//clnsurf(nsrf), "kg/(s*m2)",
+     $         iim,jjmp1,nhori, 1,1,1, -99, 32,
+     $         "ave(X)", zstophy,zout)
+C
+          ENDIF !(1.EQ.0) THEN
+cIM 250105 END
 C
          END DO
@@ -374,54 +408,53 @@
          CALL histdef(nid_mth, "cdrm", "Momentum drag coef.", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cdrh", "Heat drag coef.", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldl", "Low-level cloudiness", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldm", "Mid-level cloudiness", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldh", "High-level cloudiness", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "cldt", "Total cloudiness", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"cldq","Cloud liquid water path","kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-cIM: 071003
+     .                "ave(X)", zstophy,zout)
+c
          CALL histdef(nid_mth,"lwp","Cloud water path","kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth,"iwp","Cloud ice water path","kg/m2",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
-cIM: 071003
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ue", "Zonal energy transport", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "ve", "Merid energy transport", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "uq", "Zonal humidity transport", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 c
          CALL histdef(nid_mth, "vq", "Merid humidity transport", "-",
      .                iim,jjmp1,nhori, 1,1,1, -99, 32, 
-     .                "ave(X)", zsto,zout)
+     .                "ave(X)", zstophy,zout)
 cKE43
       IF(iflag_con.GE.3) THEN ! sb
